Skip to main content
GET
/
api
/
external
/
feed
/
all
/
top-signals
List Top Recent Signals
curl --request GET \
  --url https://dashboard.starbridge.ai/api/external/feed/all/top-signals \
  --header 'Authorization: Bearer <token>'
{
  "pageNumber": 123,
  "pageSize": 123,
  "totalItems": 123,
  "totalPages": 123,
  "result": [
    {
      "bridge": {
        "bridgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "filterType": "RFP",
        "columns": [
          {
            "columnId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "bridgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "prompt": "<string>",
            "type": "AiAnalysis",
            "fieldFormat": {
              "baseFormat": "text",
              "description": "<string>",
              "enumerationValues": [
                {
                  "value": "<string>",
                  "label": "<string>"
                }
              ],
              "currency": "USD",
              "listElementBaseFormat": "text",
              "outputFields": [
                {
                  "name": "<string>",
                  "type": "text",
                  "description": "<string>"
                }
              ]
            },
            "index": 123,
            "key": "<string>"
          }
        ]
      },
      "row": {
        "rowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "bridgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "updatedAt": "<string>",
        "status": "NotProcessed",
        "columns": {},
        "name": "<string>",
        "buyerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "organizerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://hc.starbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Bearer Authentication

Query Parameters

triggerIds
string<uuid>[]

Limit results to signals from these bridge ids.

sort
enum<string>
default:Hotness

Sort field. Hotness = by hotness score, Date = by signal date. Always descending. Hotness is the default.

Available options:
Date,
Hotness
pageNumber
integer
default:1

Page number (1-based)

pageSize
integer
default:10

Page size

filterType
enum<string>[]

Filter by bridge filter type (repeatable).

Available options:
RFP,
Meeting,
Purchase,
Buyer,
Contact,
Signal,
Conference,
JobChange
status
enum<string>[]

Filter by row status. Defaults to New when omitted.

Available options:
New,
Actioned,
Saved,
Attending,
Sponsoring,
NotInterested
relativeDatePeriodFrom
enum<string>
default:LastSevenDays

Lower bound on the signal date as a relative period.

Available options:
LastOneDay,
LastSevenDays,
LastThirtyDays,
LastSixtyDays,
LastOneMonths,
LastTwoMonths,
LastThreeMonths,
LastSixMonths,
LastNineMonths,
LastYear,
LastTwoYears

Response

Paginated list of top recent signals for the organization.

pageNumber
integer
required
pageSize
integer
required
totalItems
integer
required
totalPages
integer
required
result
BridgeSignalResponse · object[]
required